IFCONFIG(1)

NAME
ifconfig - configure network interfaces

SYNOPSIS
ifconfig [option...] name [addr] [broadcast brdaddr] [pointopoint|dstaddr dstaddr] [netmask mask] [ether|hwaddr|lladdr macaddr] [metric n] [mtu n] [txqueuelen n] [up|down] [flags]

DESCRIPTION
Configure network interfaces.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

Known flags are: allmulti, arp, automedia, broadcast, debug, dynamic, master, multicast, pointopoint, portsel, promisc, slave, trailers, up. Prepending no to any of these flags will negate their effect.

OPTIONS

-a, --all
    Display all available interfaces.

-A, --address=addr
    Set interface address to addr.

-B, --broadcast=addr
-b, --brdaddr=addr
    Set broadcast address to addr.

-d, --dstaddr=addr
-p, --peer=addr
    Set destination (peer) address to addr.

--up
    Activate the interface (default if address is given).

--down
    Shut the interface down.

-F, --flags=flag[,flag...]
    Set interface flags.

-i, --interface=name
    Configure network interface name.

-l, --list
    List available or selected interfaces.

-m, --netmask=mask
    Set netmask to mask.

--metric=n
    Set metric of interface to n.

-M, --mtu=n
    Set mtu of interface to n.

--format=format
    Select output format; set to 'help' for information.

-s, --short
    Short output format.

-v, --verbose
    Output information when configuring interface.

-?, --help
    Give this help list.

--usage
    Give a short usage message.

-V, --version
    Print program version.

Linux-specific options:

-T, --txqlen=n
    Set transmit queue length to n.